*** ./GNUmakefile.in.orig	Tue Aug 10 08:29:01 2004
--- ./GNUmakefile.in	Fri Sep  3 10:01:40 2004
***************
*** 15,23 ****
  	@echo "All of PostgreSQL successfully made. Ready to install."
  
  install:
! 	$(MAKE) -C doc install
! 	$(MAKE) -C src install
! 	$(MAKE) -C config install
  	@echo "PostgreSQL installation complete."
  
  installdirs uninstall distprep:
--- 15,23 ----
  	@echo "All of PostgreSQL successfully made. Ready to install."
  
  install:
! 	$(MAKE) -C doc $@
! 	$(MAKE) -C src $@
! 	$(MAKE) -C config $@
  	@echo "PostgreSQL installation complete."
  
  installdirs uninstall distprep:
***************
*** 25,33 ****
  	$(MAKE) -C src $@
  	$(MAKE) -C config $@
  
- install-all-headers:
- 	$(MAKE) -C src $@
- 
  # clean, distclean, etc should apply to contrib too, even though
  # it's not built by default
  clean:
--- 25,30 ----
*** ./Makefile.orig	Sat Feb 10 03:31:25 2001
--- ./Makefile	Fri Sep  3 09:49:02 2004
***************
*** 11,17 ****
  # GNUmakefile won't exist yet, so we catch that case as well.
  
  
! all check install installdirs install-all-headers installcheck uninstall dep depend clean distclean maintainer-clean:
  	@if [ ! -f GNUmakefile ] ; then \
  	   echo "You need to run the 'configure' program first. See the file"; \
  	   echo "'INSTALL' for installation instructions." ; \
--- 11,17 ----
  # GNUmakefile won't exist yet, so we catch that case as well.
  
  
! all check install installdirs installcheck uninstall dep depend clean distclean maintainer-clean:
  	@if [ ! -f GNUmakefile ] ; then \
  	   echo "You need to run the 'configure' program first. See the file"; \
  	   echo "'INSTALL' for installation instructions." ; \
*** ./doc/src/sgml/installation.sgml.orig	Mon Jun 21 08:36:52 2004
--- ./doc/src/sgml/installation.sgml	Fri Sep  3 09:59:56 2004
***************
*** 1042,1059 ****
     </para>
  
     <para>
!     The standard installation provides only the header files needed for client
!     application development.  If you plan to do any server-side program
!     development (such as custom functions or data types written in C),
!     then you may want to install the entire <productname>PostgreSQL</>
!     include tree into your target include directory.  To do that, enter
! <screen>
! <userinput>gmake install-all-headers</userinput>
! </screen>
!     This adds a megabyte or two to the installation footprint, and is only
!     useful if you don't plan to keep the whole source tree around for
!     reference.  (If you do, you can just use the source's include
!     directory when building server-side software.)
     </para>
  
     <formalpara>
--- 1042,1050 ----
     </para>
  
     <para>
!     The standard installation provides all the header files needed for client
!     application development as well as for any server-side program
!     development (such as custom functions or data types written in C).
     </para>
  
     <formalpara>
*** ./src/Makefile.orig	Mon Aug 23 09:15:09 2004
--- ./src/Makefile	Fri Sep  3 09:51:37 2004
***************
*** 33,42 ****
  	$(INSTALL_DATA) $(srcdir)/Makefile.shlib $(DESTDIR)$(pgxsdir)/$(subdir)/Makefile.shlib
  	$(INSTALL_DATA) $(srcdir)/nls-global.mk $(DESTDIR)$(pgxsdir)/$(subdir)/nls-global.mk
  
- install-all-headers:
- 	$(MAKE) -C include $@
- 	$(MAKE) -C port $@
- 
  installdirs: installdirs-local
  
  installdirs-local:
--- 33,38 ----
*** ./src/include/Makefile.orig	Sat Nov 29 20:52:08 2003
--- ./src/include/Makefile	Fri Sep  3 10:51:42 2004
***************
*** 2,10 ****
  #
  # Makefile for src/include
  #
! # 'make install' installs only those headers needed for client-side
! # programming.  'make install-all-headers' installs the whole contents
! # of src/include.
  #
  # $PostgreSQL: pgsql-server/src/include/Makefile,v 1.12 2003/11/29 19:52:08 pgsql Exp $
  #
--- 2,8 ----
  #
  # Makefile for src/include
  #
! # 'make install' installs whole contents of src/include.
  #
  # $PostgreSQL: pgsql-server/src/include/Makefile,v 1.12 2003/11/29 19:52:08 pgsql Exp $
  #
***************
*** 18,25 ****
  all: pg_config.h pg_config_os.h
  
  
! # Install only selected headers
  
  install: all installdirs remove-old-headers
  # These headers are needed by the public headers of the interfaces.
  	$(INSTALL_DATA) $(srcdir)/postgres_ext.h   $(DESTDIR)$(includedir)
--- 16,26 ----
  all: pg_config.h pg_config_os.h
  
  
! # Subdirectories containing headers for server-side dev
! SUBDIRS = access bootstrap catalog commands executor lib libpq mb \
! 	nodes optimizer parser port regex rewrite storage tcop utils
  
+ # Install all headers
  install: all installdirs remove-old-headers
  # These headers are needed by the public headers of the interfaces.
  	$(INSTALL_DATA) $(srcdir)/postgres_ext.h   $(DESTDIR)$(includedir)
***************
*** 33,50 ****
  	$(INSTALL_DATA) $(srcdir)/postgres_fe.h  $(DESTDIR)$(includedir_internal)
  	$(INSTALL_DATA) $(srcdir)/libpq/pqcomm.h $(DESTDIR)$(includedir_internal)/libpq
  	$(INSTALL_DATA) $(srcdir)/lib/dllist.h   $(DESTDIR)$(includedir_internal)/lib
! 
! installdirs:
! 	$(mkinstalldirs) $(DESTDIR)$(includedir)/libpq $(DESTDIR)$(includedir_internal)/libpq $(DESTDIR)$(includedir_internal)/lib
! 
! 
! # Install all headers
! 
! # Subdirectories containing headers that install-all-headers should install
! SUBDIRS = access bootstrap catalog commands executor lib libpq mb \
! 	nodes optimizer parser port regex rewrite storage tcop utils
! 
! install-all-headers: all install-all-dirs
  	$(INSTALL_DATA) pg_config.h    $(DESTDIR)$(includedir_server)
  	$(INSTALL_DATA) pg_config_os.h $(DESTDIR)$(includedir_server)
  	for file in $(srcdir)/*.h; do \
--- 34,40 ----
  	$(INSTALL_DATA) $(srcdir)/postgres_fe.h  $(DESTDIR)$(includedir_internal)
  	$(INSTALL_DATA) $(srcdir)/libpq/pqcomm.h $(DESTDIR)$(includedir_internal)/libpq
  	$(INSTALL_DATA) $(srcdir)/lib/dllist.h   $(DESTDIR)$(includedir_internal)/lib
! # These headers are needed for server-side development
  	$(INSTALL_DATA) pg_config.h    $(DESTDIR)$(includedir_server)
  	$(INSTALL_DATA) pg_config_os.h $(DESTDIR)$(includedir_server)
  	for file in $(srcdir)/*.h; do \
***************
*** 56,62 ****
  	  done \
  	done
  
! install-all-dirs:
  	$(mkinstalldirs) $(addprefix $(DESTDIR)$(includedir_server)/, $(SUBDIRS))
  
  
--- 46,53 ----
  	  done \
  	done
  
! installdirs:
! 	$(mkinstalldirs) $(DESTDIR)$(includedir)/libpq $(DESTDIR)$(includedir_internal)/libpq $(DESTDIR)$(includedir_internal)/lib
  	$(mkinstalldirs) $(addprefix $(DESTDIR)$(includedir_server)/, $(SUBDIRS))
  
  
*** ./src/makefiles/pgxs.mk.orig	Fri Jul 30 14:26:40 2004
--- ./src/makefiles/pgxs.mk	Fri Sep  3 09:39:39 2004
***************
*** 50,56 ****
  
  ifdef PGXS
  # We assume that we are in src/makefiles/, so top is ...
! top_builddir := $(dir $(PGXS))/../..
  include $(top_builddir)/src/Makefile.global
  
  top_srcdir = $(top_builddir)
--- 50,56 ----
  
  ifdef PGXS
  # We assume that we are in src/makefiles/, so top is ...
! top_builddir := $(dir $(PGXS))../..
  include $(top_builddir)/src/Makefile.global
  
  top_srcdir = $(top_builddir)
*** ./src/port/Makefile.orig	Mon Aug 30 10:14:33 2004
--- ./src/port/Makefile	Fri Sep  3 10:03:09 2004
***************
*** 21,27 ****
  all: libpgport.a
  
  # libpgport is needed by some contrib
! install-all-headers: 
  	$(INSTALL_STLIB) libpgport.a $(DESTDIR)$(libdir)
  
  uninstall:
--- 21,27 ----
  all: libpgport.a
  
  # libpgport is needed by some contrib
! install: 
  	$(INSTALL_STLIB) libpgport.a $(DESTDIR)$(libdir)
  
  uninstall:
